Subject: bug#67507: closed (Re: [bug#67507] [PATCH v2 0/2] Using the right locales on GNU/Hurd)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 02 Dec 2023 11:41:02 +0000

Your bug report

#67507: [PATCH] packages: Use glibc-utf8-locales/hurd in %standard-patch-inputs.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
67507: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=67507
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#67507] [PATCH v2 0/2] Using the right locales on GNU/Hurd
From: Ludovic Courtès <[email-masked]>
To: Janneke Nieuwenhuizen <[email-masked]>, Christopher Baines <[email-masked]>
Cc: [email-masked]
Date: Sat, 02 Dec 2023 12:39:54 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Janneke Nieuwenhuizen <[email-masked]> skribis:

> So, I created a new VM (needed to create yet another guix package update
> commit on hurd-team to avoid the circular dependency thing), and (with
> my curl fix from yesterday), now "guix shell -D guix" works again; and
> without any glibc-2.35 afaics (there's only one x86_64-linux glibc-2.35
> in the hurd's store, I guess that's to be expected).

Good.

> I also tested on hurd-team using the `make as-derivation' trick with
> #:system "i586-gnu" in compile-as-derivation.scm, which now fails with
>
> offloading '/gnu/store/qy6l0gjjpc40frz57fv08shpwj4pssfd-bash-minimal-5.1.16.drv' to 'kluit.dezyne.org'...
> @ build-remote /gnu/store/qy6l0gjjpc40frz57fv08shpwj4pssfd-bash-minimal-5.1.16.drv kluit.dezyne.org
> Backtrace:
> In ice-9/boot-9.scm:
>  160: 10 [catch #t #<catch-closure 1ba1510> ...]
> In unknown file:
>    ?: 9 [apply-smob/1 #<catch-closure 1ba1510>]
> In ice-9/boot-9.scm:
>   66: 8 [call-with-prompt prompt0 ...]
> In ice-9/eval.scm:
>  432: 7 [eval # #]
> In ice-9/boot-9.scm:
> 2412: 6 [save-module-excursion #<procedure 1bb2c00 at ice-9/boot-9.scm:4084:3 ()>]
> 4089: 5 [#<procedure 1bb2c00 at ice-9/boot-9.scm:4084:3 ()>]
> 1734: 4 [%start-stack load-stack ...]
> 1739: 3 [#<procedure 1bbb930 ()>]
> In unknown file:
>    ?: 2 [primitive-load "/gnu/store/dljmqd3db20j9z9bbqlha71p3jzj7cvk-bash-minimal-5.1.16-builder"]
> In ice-9/eval.scm:
>  432: 1 [eval # ()]
> In unknown file:
>    ?: 0 [setlocale 6 "en_US.utf8"]
>
> ERROR: In procedure setlocale:
> ERROR: In procedure setlocale: Invalid argument
> builder for `/gnu/store/qy6l0gjjpc40frz57fv08shpwj4pssfd-bash-minimal-5.1.16.drv' failed with exit code 1

It builds for me now on ‘master’:

--8<---------------cut here---------------start------------->8---
$ ./pre-inst-env guix build bash-minimal -s i586-gnu  --no-grafts
/gnu/store/0iw3v18ar8vy1yknnf84lv0jzmq6gjhm-bash-minimal-5.1.16-doc
/gnu/store/1gsf6zrl3fmbrip98nsqpkjykfhahmvd-bash-minimal-5.1.16
$ git log |head -1
commit aeb494322ca9dec4a4d66a7d063239c8536bd538
--8<---------------cut here---------------end--------------->8---

\o/

Christopher Baines <[email-masked]> skribis:

> These changes look good to me.
>
> For the data service instances, it would be good to fix the infinite
> loop issue sooner rather than later. For affected revisions, I think the
> data service is effectively waiting until the relevant processes run out
> of memory and crash, and this is slowing down processing revisions.

Yeah.

Pushed as b0715d7cd2a74bc231751f8afc9dffb2047501ac.

Let’s do some more testing from here and see how it goes.

Thanks!

Ludo’.

Subject: [PATCH] packages: Use glibc-utf8-locales/hurd in %standard-patch-inputs.
From: Christopher Baines <[email-masked]>
To: [email-masked]
Date: Tue, 28 Nov 2023 11:33:41 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

When targeting the hurd.  This is a follow up to
95ea1277ae2ebd278bdb51a7887f5ba1116fbc64 that prevents an infinite loop when
trying to compute the derivation for guix for the hurd.

* guix/packages.scm (%standard-patch-inputs): Use glibc-utf8-locales/hurd when
targeting the hurd.

Change-Id: I8cdc2d9c28677000290ca1b31f580c4d3043f1ef
---
 guix/packages.scm | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/guix/packages.scm b/guix/packages.scm
index e2e82692ad..f4aa0e78fa 100644
--- a/guix/packages.scm
+++ b/guix/packages.scm
@@ -866,7 +866,10 @@ (define (%standard-patch-inputs)
       ("lzip"  ,(ref '(gnu packages compression) 'lzip))
       ("unzip" ,(ref '(gnu packages compression) 'unzip))
       ("patch" ,(ref '(gnu packages base) 'patch))
-      ("locales" ,(ref '(gnu packages base) 'glibc-utf8-locales)))))
+      ("locales" ,(ref '(gnu packages base)
+                       (if (target-hurd?)
+                           'glibc-utf8-locales/hurd
+                           'glibc-utf8-locales))))))
 
 (define (default-guile)
   "Return the default Guile package used to run the build code of

base-commit: 62376e3eb67644454bc655bed56be4be965bd13e
-- 
2.41.0